Update the cluster network security configuration
Updates the cluster network security configuration to modify settings such as enabling security or changing the security mode. Use this endpoint when you need to adjust security parameters to align with your network policies.
HTTP method and endpoint
PATCH /security/cluster-network
Introduced in
ONTAP 9.18
Optional properties
-
'enabled' - Indicates whether cluster network security is enabled.
-
'mode' - The cluster network security mode.
Related ONTAP commands
-
'security cluster-network modify'
Request Body
| Name | Type | Description |
|---|---|---|
enabled |
boolean |
Indicates whether cluster network security is enabled. |
ipsec_status |
string |
The IPsec status of the cluster network security configuration. |
mode |
string |
The cluster network security mode.
|
status |
string |
The certificate and TLS status of the cluster network security configuration. |
Example request
{
"ipsec_status": "ENABLING | DISABLING | READY",
"mode": "string",
"status": "ENABLING | DISABLING | READY"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
70320128 |
Modifying the cluster network security configuration requires an effective cluster version of ONTAP 9.18.1 or later. |
70320131 |
Cluster network security does not support MetroCluster configurations. |
70320132 |
The cluster has an out of quorum node, wait until all nodes are in quorum before modifying the cluster network security configuration. |
Also see the table of common errors in the Response body overview section of this documentation.
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
self_link
security_cluster_network
Manages the cluster network security configuration.
| Name | Type | Description |
|---|---|---|
enabled |
boolean |
Indicates whether cluster network security is enabled. |
ipsec_status |
string |
The IPsec status of the cluster network security configuration. |
mode |
string |
The cluster network security mode.
|
status |
string |
The certificate and TLS status of the cluster network security configuration. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |